Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class BaseResourceRenderer

    java.lang.Object
      org.ajax4jsf.resource.BaseResourceRenderer

All Implemented Interfaces:
  org.ajax4jsf.resource.ResourceRenderer

Direct Known Subclasses:
  HTMLRenderer, LogfileRenderer, MimeRenderer, OneTimeRenderer

    public abstract class BaseResourceRenderer

extends java.lang.Object
implements org.ajax4jsf.resource.ResourceRenderer

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:07 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`BaseResourceRenderer()`

Method Summary
`protected void` | `customEncode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data)` Template method for customaize encoding for component.
`void` | `encode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data)`
`void` | `encode(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data, java.util.Map<java.lang.String,java.lang.Object> attributes)`
`void` | `encodeBegin(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data, java.util.Map<java.lang.String,java.lang.Object> attributes)`
`void` | `encodeEnd(org.ajax4jsf.resource.InternetResource resource, javax.faces.context.FacesContext context, java.lang.Object data)`
`protected abstract java.lang.String[][]` | `getCommonAttrs()`
`java.lang.Object` | `getData(org.ajax4jsf.resource.InternetResource base, javax.faces.context.FacesContext context, java.lang.Object data)`
`protected abstract java.lang.String` | `getHrefAttr()`
`protected abstract java.lang.String` | `getTag()`
`boolean` | `requireFacesContext()`
`int` | `send(org.ajax4jsf.resource.InternetResource base, org.ajax4jsf.resource.ResourceContext context)`
`protected int` | `sendStream(java.io.InputStream in, java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.resource.ResourceRenderer
`getContentType`

Constructor Detail

### BaseResourceRenderer

    public BaseResourceRenderer()

Method Detail

### encode

    public void encode(org.ajax4jsf.resource.InternetResource resource,
                       javax.faces.context.FacesContext context,
                       java.lang.Object data)
                throws java.io.IOException

  Specified by:
    `encode` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Throws:
    `java.io.IOException`

### encode

    public void encode(org.ajax4jsf.resource.InternetResource resource,
                       javax.faces.context.FacesContext context,
                       java.lang.Object data,
                       java.util.Map<java.lang.String,java.lang.Object> attributes)
                throws java.io.IOException

  Specified by:
    `encode` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Throws:
    `java.io.IOException`

### encodeBegin

    public void encodeBegin(org.ajax4jsf.resource.InternetResource resource,
                            javax.faces.context.FacesContext context,
                            java.lang.Object data,
                            java.util.Map<java.lang.String,java.lang.Object> attributes)
                     throws java.io.IOException

  Specified by:
    `encodeBegin` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(org.ajax4jsf.resource.InternetResource resource,
                          javax.faces.context.FacesContext context,
                          java.lang.Object data)
                   throws java.io.IOException

  Specified by:
    `encodeEnd` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Throws:
    `java.io.IOException`

### customEncode

    protected void customEncode(org.ajax4jsf.resource.InternetResource resource,
                                javax.faces.context.FacesContext context,
                                java.lang.Object data)
                         throws java.io.IOException

  Template method for customaize encoding for component. can insert size etc. attributes, child tags etc.

  Parameters:
    `resource` -
    `context` -
    `component` -
  Throws:
    `java.io.IOException`

### getTag

    protected abstract java.lang.String getTag()

### getHrefAttr

    protected abstract java.lang.String getHrefAttr()

### getCommonAttrs

    protected abstract java.lang.String[][] getCommonAttrs()

### send

    public int send(org.ajax4jsf.resource.InternetResource base,
                    org.ajax4jsf.resource.ResourceContext context)
             throws java.io.IOException

  Specified by:
    `send` in interface `org.ajax4jsf.resource.ResourceRenderer`
  Throws:
    `java.io.IOException`

### sendStream

    protected int sendStream(java.io.InputStream in,
                             java.io.OutputStream out)
                      throws java.io.IOException

  Parameters:
    `in` -
    `out` -
  Returns:
  Throws:
    `java.io.IOException`

### requireFacesContext

    public boolean requireFacesContext()

  Specified by:
    `requireFacesContext` in interface `org.ajax4jsf.resource.ResourceRenderer`

### getData

    public java.lang.Object getData(org.ajax4jsf.resource.InternetResource base,
                                    javax.faces.context.FacesContext context,
                                    java.lang.Object data)

  Specified by:
    `getData` in interface `org.ajax4jsf.resource.ResourceRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.